/*
 * Copyright (c) 2007 Klaus Dorer
 * Hochschule Offenburg
 */
package kdo.domain;

import java.util.Comparator;

/**
 * @author klaus
 * 
 */
public interface IGeneticProblem extends IProblem
{
	/**
	 * Factory method for creating an individuum using the chromosoms passed
	 * @param chromosom the chromosoms of the individuum
	 * @return an individuum using the chromosoms passed
	 */
	IIndividuum createIndividuum(float[] chromosom);

	/**
	 * @return a random individuum of this domain
	 */
	IIndividuum getRandomIndividuum();

	/**
	 * @param gene the index of the gene for which to generate the alele
	 * @return a random value for a single gene (alele)
	 */
	float getRandomAlele(int gene);

	/**
	 * @return the comparator to use to compare individuums in this domain
	 */
	Comparator<IIndividuum> getIndividuumComparator();
}
