/*
 * Copyright (c) 2001-2004 Living Systems(R) GmbH, Germany.
 * All rights reserved.
 * Original Author: kdorer
 *
 * $Source: /cvs/Research/lecture/AI/src/domain/IProblem.java,v $
 * $Date: 2007/03/14 17:25:15 $
 */
package kdo.domain;

/**
 * ADD CLASS/INTERFACE-COMMENT!!!
 * @author Klaus Dorer
 */
public interface IProblem
{

	/**
	 * Returns the initial state from which to start
	 * @return the initial state from which to start
	 */
	public IProblemState getInitialState();

	/**
	 * Sets the initial state from which to start
	 * @param state the initial state from which to start
	 */
	public void setInitialState(IProblemState state);

	/**
	 * Returns the current state of the problem
	 * @return the current state of the problem
	 */
	public IProblemState getCurrentState();

	/**
	 * Returns a random state of the problem
	 * @return a random state of the problem
	 */
	public IProblemState getRandomState();

	/**
	 * Sets the current state of the problem
	 * @param state the current state of the problem
	 */
	public void setCurrentState(IProblemState state);
}