package kdo.search.impl;

import kdo.domain.IProblem;
import kdo.util.IRandomSource;

/**
 * @author klaus
 * 
 */
public class SearchParameters
{
	private int repeats;

	private String strategy;

	private long maxRuntime;

	private IRandomSource randomSource;

	private IProblem domain;

	public SearchParameters(IRandomSource random, String strategy)
	{
		repeats = 5;
		this.strategy = strategy;
		maxRuntime = 60000;
		randomSource = random;
		domain = null;
	}

	public void setRandomSource(IRandomSource randomSource)
	{
		this.randomSource = randomSource;
	}

	public IRandomSource getRandomSource()
	{
		return randomSource;
	}

	/**
	 * @param repeats the repeats to set
	 */
	public void setRepeats(int repeats)
	{
		this.repeats = repeats;
	}

	/**
	 * @return the repeats
	 */
	public int getRepeats()
	{
		return repeats;
	}

	/**
	 * @param strategy the strategy to set
	 */
	public void setStrategy(String strategy)
	{
		this.strategy = strategy;
	}

	/**
	 * @return the strategy
	 */
	public String getStrategy()
	{
		return strategy;
	}

	/**
	 * @param maxRuntime the maxRuntime to set
	 */
	public void setMaxRuntime(long maxRuntime)
	{
		this.maxRuntime = maxRuntime;
	}

	/**
	 * @return the maxRuntime
	 */
	public long getMaxRuntime()
	{
		return maxRuntime;
	}

	/**
	 * @param domain the domain to set
	 */
	public void setDomain(IProblem domain)
	{
		this.domain = domain;
	}

	/**
	 * @return the domain
	 */
	public IProblem getDomain()
	{
		return domain;
	}
}