/*
 * Copyright (c) 2007 Klaus Dorer
 * Hochschule Offenburg
 */
package kdo.search.impl;

import kdo.search.strategy.IStrategy;
import kdo.util.IRandomSource;

/**
 * Base class for all kinds of strategies used
 * @author klaus
 */
public abstract class StrategyBase implements IStrategy
{
	/** source for pseudo random numbers */
	protected IRandomSource rand;

	/** the name of this strategy */
	private final String name;

	/**
	 * @param name the name of this strategy
	 * @param rand source for pseudo random numbers, null if this is a
	 *        deterministic strategy and does not need random numbers
	 */
	public StrategyBase(String name, IRandomSource rand)
	{
		this.name = name;
		this.rand = rand;
	}

	/*
	 * (non-Javadoc)
	 * @see search.strategy.local.genetic.IStrategy#getName()
	 */
	public String getName()
	{
		return name;
	}

}
