/*
 * Lecture symbolic AI, FH-Furtwangen
 * Original Author: Klaus Dorer
 */
package kdo.search.strategy;

import kdo.domain.IProblemState;

/**
 * Interface for all local search methods
 */
public interface ILocalSearchStrategy extends IStrategy
{
	/**
	 * Performs a local search, i.e. a search where only the current state is
	 * stored.
	 * @param initialState the state to start the search from
	 * @return the last state in which the search ended
	 */
	public abstract IProblemState search(IProblemState initialState);
}