/*
 * Lecture symbolic AI, FH-Furtwangen
 * Original Author: Klaus Dorer
 */

package kdo.search.strategy;

import java.util.List;

import kdo.domain.IProblemState;
import kdo.search.representation.Node;



/**
 * Interface for search strategies.
 */
public interface ITreeSearchStrategy
{
	/**
	 * Search method to search using this strategy.
	 * @param initialState the state to start with searching
	 * @return the path of nodes leading to the goal state, null if no result was
	 *         found
	 */
	public List<Node> search(IProblemState initialState);

	/**
	 * Returns the highest number of nodes stored so far. Just used for debugging
	 * and statistics
	 * @return the highest number of nodes stored so far
	 */
	public int getMaxNumberOfNodesStored();
}
