/*
 * Lecture symbolic AI, FH-Furtwangen
 * Original Author: Klaus Dorer
 */

package kdo.search.strategy;

import kdo.domain.ITwoPlayerProblemState;

/**
 * Interface for two player search strategies.
 */
public interface ITwoPlayerSearchStrategy
{
	/**
	 * Calculates the state with the highest utility representing the best move
	 * the passed player can make in the state passed.
	 * @param currentState the problem state of the game to solve
	 * @return the next state with the best utility, the problem's currentState
	 *         if a terminal state was reached
	 */
	public ITwoPlayerProblemState getBestSuccessorState(
			ITwoPlayerProblemState currentState);
}
